[Unit]
Description=Amlogic OPTEE Video Firmware Preload Service
After=tee-supplicant.service
Requires=tee-supplicant.service
Before=wifi.service

[Service]
Type=oneshot
RemainAfterExit=yes
ExecStart=/usr/bin/tee_preload_fw /lib/firmware/video/video_ucode.bin
Restart=on-failure
RestartSec=1

[Install]
WantedBy=multi-user.target
